SuperForce = {}

SuperForce.initialized = false
SuperForce.isToggled = false
SuperForce.isToggleKeyHeld = false

function SuperForce:update(dt)
    if not SuperForce.initialized then
        if g_currentMission.playerSystem ~= nil then
            local player = g_currentMission.playerSystem.players[g_currentMission.playerUserId]
            if player and player.hands then
                if player.hands.consoleCommandToggleSuperStrength then
                    SuperForce.initialized = true
                    print("Ready to toggle Super Strength!")
                else
                    print("Error: Super strength method not found.")
                end
            end
        end
    end

    if SuperForce:isKeyPressed("h") and (SuperForce:isShiftPressed()) and not SuperForce.isToggleKeyHeld then
        SuperForce.isToggleKeyHeld = true
        SuperForce.isToggled = not SuperForce.isToggled
        local player = g_currentMission.playerSystem.players[g_currentMission.playerUserId]
        player.hands:consoleCommandToggleSuperStrength()
        if SuperForce.isToggled then
            print("Super Strength Activated!")
        else
            print("Super Strength Deactivated!")
        end
    elseif not SuperForce:isKeyPressed("h") then
        SuperForce.isToggleKeyHeld = false
    end
end

function SuperForce:isKeyPressed(key)
    -- Implement the method to check if the specific key is pressed, depending on your game's API
    return Input.isKeyPressed(Input["KEY_" .. key]) -- Example
end

function SuperForce:isShiftPressed()
    -- Implement the method to check if either Shift key is pressed, depending on your game's API
    return Input.isKeyPressed(Input.KEY_lshift) or Input.isKeyPressed(Input.KEY_rshift) -- Example
end

addModEventListener(SuperForce)











